Bug 11750 - Overdue report does not limit patron attributes
Summary: Overdue report does not limit patron attributes
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on: 7919
Blocks:
  Show dependency treegraph
 
Reported: 2014-02-12 15:22 UTC by Kyle M Hall
Modified: 2022-02-21 08:56 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.05.00,21.11.03,21.05.11


Attachments
Bug 11750: Hide patron's attributes on overdue list if needed (2.19 KB, patch)
2021-08-19 12:05 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 11750: Hide patron's attributes on overdue list if needed (2.30 KB, patch)
2022-01-08 23:02 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 11750: (QA follow-up) Remove unconditional warn (698 bytes, patch)
2022-01-08 23:06 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2014-02-12 15:22:23 UTC
The Overdue report ( circ/overdue.pl ) is not limiting the visible patron attributes based on the branch limitations selected for the given attribute. This is because the script is accessing the attributes via a direct database query, rather than using the subroutines in C4::Members::Attributes
Comment 1 Jonathan Druart 2021-08-19 12:05:41 UTC
Created attachment 123970 [details] [review]
Bug 11750: Hide patron's attributes on overdue list if needed

If a patron's attributes is limited to some libraries, we must apply
this limit on the overdue list view.

Test plan:
1. Create the following patron attributes:
A that is not searchable
B is searchable and does not have library limitation
C is searchable and is limited to another library than yours
2. On the right part of the overdue list view you must see B only
Without this patch C is displayed as well.
Comment 2 The Minh Luong 2022-01-06 16:13:16 UTC
I tested the patch and everything seems to work! Attribute C is not displayed when I am in a library other than mine.
Comment 3 The Minh Luong 2022-01-06 16:16:39 UTC
I tested the patch and everything seems to work! Attribute C is not displayed when I am in a library other than mine.
Comment 4 Katrin Fischer 2022-01-08 23:02:04 UTC
Created attachment 129221 [details] [review]
Bug 11750: Hide patron's attributes on overdue list if needed

If a patron's attributes is limited to some libraries, we must apply
this limit on the overdue list view.

Test plan:
1. Create the following patron attributes:
A that is not searchable
B is searchable and does not have library limitation
C is searchable and is limited to another library than yours
2. On the right part of the overdue list view you must see B only
Without this patch C is displayed as well.

Signed-off-by: The Minh Luong <the-minh.luong@inlibro.com>
Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Katrin Fischer 2022-01-08 23:06:01 UTC
Created attachment 129222 [details] [review]
Bug 11750: (QA follow-up) Remove unconditional warn
Comment 6 Katrin Fischer 2022-01-08 23:07:55 UTC
Thx for testing, The Minh Luong. I have added your sign-off line to the patch:
https://bugs.koha-community.org/bugzilla3/attachment.cgi?id=129221

Please have a look at how you can do this yourself using git or the sandboxes and let us know if we can help.
Comment 7 Fridolin Somers 2022-01-19 22:16:08 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄
Comment 8 Kyle M Hall 2022-02-07 11:49:36 UTC
Pushed to 21.11.x for 21.11.03
Comment 9 Andrew Fuerste-Henry 2022-02-16 20:48:08 UTC
Pushed to 21.05.x for 21.05.11
Comment 10 Victor Grousset/tuxayo 2022-02-21 08:56:58 UTC
Not backported to oldoldstable (20.11.x). Feel free to ask if it's needed.